# OpalManager::RouteEntry Class Reference

`#include <manager.h>`

## Public Member Functions

| RouteEntry (const PString &partyA, const PString &partyB, const PString &dest)
| RouteEntry (const PString &spec)
PObject * | Clone () const
void | PrintOn (ostream &strm) const
bool | IsValid () const
bool | IsMatch (const PString &search) const
const PString & | GetPartyA () const
const PString & | GetPartyB () const
const PString & | GetDestination () const

## Protected Member Functions

void | CompileRegEx ()

## Protected Attributes

PString | m_partyA
| URL of caller.
PString | m_partyB
| URL caller want to conect to.
PString | m_destination
| URL we map above to, with macro substitutions.
PRegularExpression | m_regex
| Compiled Regular expression from pattern.

## Detailed Description

Entry in the route table. See AddRouteEntry() for more details.

## Constructor & Destructor Documentation

OpalManager::RouteEntry::RouteEntry | ( | const PString & | partyA,
|  | const PString & | partyB,
|  | const PString & | dest |
| ) |  |  |

OpalManager::RouteEntry::RouteEntry | ( | const PString & | spec | ) |

## Member Function Documentation

PObject* OpalManager::RouteEntry::Clone | ( |  | ) | const`[inline]`

void OpalManager::RouteEntry::CompileRegEx | ( |  | ) | `[protected]`

const PString& OpalManager::RouteEntry::GetDestination | ( |  | ) | const`[inline]`

const PString& OpalManager::RouteEntry::GetPartyA | ( |  | ) | const`[inline]`

const PString& OpalManager::RouteEntry::GetPartyB | ( |  | ) | const`[inline]`

bool OpalManager::RouteEntry::IsMatch | ( | const PString & | search | ) | const

bool OpalManager::RouteEntry::IsValid | ( |  | ) | const

void OpalManager::RouteEntry::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PString OpalManager::RouteEntry::m_destination `[protected]`

URL we map above to, with macro substitutions.

PString OpalManager::RouteEntry::m_partyA `[protected]`

URL of caller.

PString OpalManager::RouteEntry::m_partyB `[protected]`

URL caller want to conect to.

PRegularExpression OpalManager::RouteEntry::m_regex `[protected]`

Compiled Regular expression from pattern.

The documentation for this class was generated from the following file:

- manager.h